> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite user to organization



## OpenAPI

````yaml post /organization/{organizationId}/invite
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /organization/{organizationId}/invite:
    post:
      tags:
        - Organization
      summary: Invite user to organization
      operationId: OrganizationController_inviteUserToOrganization
      parameters:
        - name: organizationId
          required: true
          in: path
          description: Organization identifier
          schema:
            format: uuid
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationInviteBodyDto'
      responses:
        '201':
          description: User invited to organization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationInviteResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                example:
                  message: Unauthorized
                  statusCode: 401
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
components:
  schemas:
    OrganizationInviteBodyDto:
      type: object
      properties:
        email:
          type: string
          description: Email of the person invited
          format: email
        role:
          type: string
          description: Role to assign
          enum:
            - administrator
            - manager
            - billing_manager
            - member
        teamAssignments:
          description: >-
            Array of team assignments with roles for automatic addition upon
            invitation acceptance
          example:
            - teamId: 550e8400-e29b-41d4-a716-446655440000
              role: developer
            - teamId: 6ba7b810-9dad-11d1-80b4-00c04fd430c8
              role: team_manager
          type: array
          items:
            $ref: '#/components/schemas/TeamAssignmentDto'
      required:
        - email
        - role
    OrganizationInviteResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Invitation unique identifier
          format: uuid
        token:
          type: string
          description: Invitation token
        email:
          type: string
          description: Email of the invitee
        status:
          type: string
          description: Current status of the invitation
        organizationId:
          type: string
          description: Organization unique identifier
          format: uuid
        organizationName:
          type: string
          description: Organization name
        organizationRole:
          type: string
          description: Role in the organization
        expiresAt:
          type: string
          description: Invitation expiration date
          format: date-time
      required:
        - id
        - token
        - email
        - status
        - organizationId
        - organizationName
        - organizationRole
        - expiresAt
    ErrorDto:
      type: object
      properties:
        timestamp:
          type: string
          example: '2025-02-18T12:31:18.491Z'
          description: Timestamp of the error
        service:
          type: string
          example: AiService
          description: Name of the service where the error occurred
        method:
          type: string
          example: startConversation
          description: Method name where the error occurred
        message:
          type: string
          example: Invalid parameters provided
          description: Error message
        code:
          type: number
          example: 400
          description: HTTP status code
          minimum: 100
          maximum: 599
      required:
        - timestamp
        - service
        - method
        - message
        - code
    TeamAssignmentDto:
      type: object
      properties:
        teamId:
          type: string
          description: Team ID
          format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
        role:
          type: string
          description: Role in the team
          enum:
            - team_manager
            - analyst_developer
            - developer
            - read_only
          example: developer
      required:
        - teamId
        - role

````